﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Script.Serialization;
using Syncfusion.EJ2;

namespace MVCsampleEJ2.Controllers
{
    public class Data
    {
        public int take { get; set; }
        public List<Wheres> where { get; set; }
    }

    public class Wheres
    {
        public string field { get; set; }
        public bool ignoreAccent { get; set; }

        public bool ignoreCase { get; set; }

        public bool isComplex { get; set; }

        public string value { get; set; }
        public string Operator { get; set; }

    }
    public class HomeController : Controller
    {
       
        public ActionResult Index()
        {
            return View();
        }
        public object UrlDatasource(Data dm)
        {
            var val = OrdersDetails.GetAllRecords();
            var Data = val.ToList();
            var count = val.Count();
            if (dm.where != null)
            {
                Data = (from cust in Data
                        where cust.ToLower().StartsWith(dm.@where[0].value.ToString())
                        select cust).ToList();
            }
            if (dm.take != 0)
                Data = Data.Take(dm.take).ToList();
            return Json(Data);

        }
        public class OrdersDetails
        { 
            public static List<string> GetAllRecords()
            {
                var order = new List<string>() { "ALFKI", "ANATR", "ANTON", "BLONP", "BOLID" };
                return order;
            }

        }
        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}